From d89312eb0e4eb5999a58f722dd640da4efe5f061 Mon Sep 17 00:00:00 2001
From: Eric Barbour <emb4gu@virginia.edu>
Date: Jul 14 2016 14:40:39 +0000
Subject: [PATCH 543/1001] Remove 'irc' feed context, add package.json author


---

diff --git a/hubs/defaults.py b/hubs/defaults.py
index ddd04db..706bb03 100755
--- a/hubs/defaults.py
+++ b/hubs/defaults.py
@@ -11,7 +11,6 @@ def add_user_widgets(session, hub, username, fullname):
         plugin='feed', index=0, left=True,
         _config=json.dumps({
             'username': username,
-            'fmn_context': 'irc',  # TODO -- make this 'hubs',
             'message_limit': 20
         }))
     hub.widgets.append(widget)
diff --git a/hubs/widgets/feed.py b/hubs/widgets/feed.py
index 42b3cb5..d3870c3 100755
--- a/hubs/widgets/feed.py
+++ b/hubs/widgets/feed.py
@@ -81,21 +81,17 @@ class PythonObjectEncoder(json.JSONEncoder):
           default=None,
           validator=validators.username,
           help="A FAS username.")
-@argument(name="fmn_context",
-          default="irc",  # TODO - Make this 'hubs', or...
-          validator=validators.fmn_context,
-          help="A FMN context.")
 @argument(name="message_limit",
           default=20,
           validator=validators.integer,
           help="Max number of feed messages to display")
-def data(session, widget, username, fmn_context, message_limit):
+def data(session, widget, username, message_limit):
     messages = []
     matches = []
     # Avoid circular import
     from hubs.app import app
     feed_url = app.config['SSE_URL'] + username
-    preference = get_remote_preference(username, fmn_context)
+    preference = get_remote_preference(username, 'sse')
     if preference:
         try:
             preference = rehydrate_preference(preference)
@@ -167,7 +163,7 @@ def data(session, widget, username, fmn_context, message_limit):
 @hint(ubiquitous=True)
 def should_invalidate(message, session, widget):
     username = widget.config['username']
-    fmn_context = widget.config['fmn_context']
+    fmn_context = 'sse'
     preference = get_remote_preference(username, fmn_context)
     if not preference:
         return False

